Skip to main content
PUT
/
scheduled-tasks
/
manage
Update a scheduled task
curl --request PUT \
  --url https://asteragents.com/api/scheduled-tasks/manage \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "prompt": "<string>",
  "schedule": "30 7 * * 2",
  "agentId": 123,
  "enabled": true
}
'
{
  "id": 42,
  "name": "Weekly portfolio digest",
  "description": "<string>",
  "prompt": "Summarize any new documents added this week.",
  "schedule": "0 13 * * 1",
  "enabled": true,
  "agentId": 123,
  "agentName": "Portfolio Monitor",
  "userId": "<string>",
  "lastRunAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT token from Clerk authentication.

Must be from a user with org:admin role.

Query Parameters

taskId
integer
required

Body

application/json
name
string
Maximum string length: 100
description
string | null
prompt
string
schedule
string
Example:

"30 7 * * 2"

agentId
integer
enabled
boolean

Response

Task updated.

id
integer
Example:

42

name
string
Example:

"Weekly portfolio digest"

description
string | null
prompt
string
Example:

"Summarize any new documents added this week."

schedule
string

Cron expression (UTC).

Example:

"0 13 * * 1"

enabled
boolean
agentId
integer
Example:

123

agentName
string

Present on list/get responses.

Example:

"Portfolio Monitor"

userId
string
lastRunAt
string<date-time> | null
createdAt
string<date-time>
updatedAt
string<date-time>